@echo off

set JAVA_HOME=%~dp0jre
set PATH=%JAVA_HOME%\bin;%PATH%;C:\EDIABAS\Bin;C:\EC-Apps\EDIABAS\Bin

cd /D %~dp0lib\environment

:startEsys
rem VM arguments
set OPTION_THREAD=-XX:ThreadStackSize=1024
set OPTION_ENDORSED=-Djava.endorsed.dirs=..\xml
set OPTION_MEMORY=-Xmx512m
set OPTION_JMX=-Dcom.sun.management.jmxremote
set OPTION_GC=-XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode 

set SP=%~dp0lib
set CLASSPATH=%SP%\svc0x80.jar
set CLASSPATH=%CLASSPATH%;%SP%\E-sys.jar
set CLASSPATH=%CLASSPATH%;%~dp0lib\EsysGenerated.jar
set CLASSPATH=%CLASSPATH%;%SP%\PsdZ\psdz-api.jar
set CLASSPATH=%CLASSPATH%;%SP%\PsdZ\psdz-core.jar
set CLASSPATH=%CLASSPATH%;%SP%\PsdZ\resource.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\activation-1.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\asam-api-2.0.2-bmw2.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\aspectjrt-1.7.3.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\commons-io-2.4.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\commons-logging-1.1.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\est-cm-api-1.5.0.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\guava-15.0.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\iaik_jce-3.14.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\jaxb-api-2.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\jaxb-impl-2.1.2.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\jetty-servlet-7.2.2.v20101205.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\jna-3.4.0.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\kis-auswertelogik-api-4.11.01.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\log4j-1.2.17.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\platform-3.4.0.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\servlet-api-2.5.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\slf4j-api-1.6.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\slf4j-log4j12-1.6.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\stax-api-1.0-2.jar
set CLASSPATH=%CLASSPATH%;%SP%\3rd-party\truezip-6.7-beta2.jar
set CLASSPATH=%CLASSPATH%;%SP%\UUID\jug.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment\driver.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment\prodias.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment\psdz_adaption.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment\sjsxp-1.0.1.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment\xSocket-2.2-bmw.jar
set CLASSPATH=%CLASSPATH%;%SP%\estcm\asbclogger-01.04.00.jar
set CLASSPATH=%CLASSPATH%;%SP%\estcm\b2vlogging_3.0.jar
set CLASSPATH=%CLASSPATH%;%SP%\estcm\est-cm-01.05.01.jar
set CLASSPATH=%CLASSPATH%;%SP%\estcm\secunit-03.01.00.jar
set CLASSPATH=%CLASSPATH%;%SP%\fs\fs.jar
set CLASSPATH=%CLASSPATH%;%SP%\jaxb\jaxb1-impl.jar
set CLASSPATH=%CLASSPATH%;%SP%\jaxb\xsdlib.jar
set CLASSPATH=%CLASSPATH%;%SP%\kis\kis-api.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\checkResult.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\checker.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\dom4j-1.5.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\jaxen-1.1-beta-2.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\jh.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\jsr173_1.0_api.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\odx201-cc.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\odx201.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\projectData.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\ruleList.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\saxon8-dom.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\saxon8.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\sdgval.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\xbean.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\xbean_xpath.jar
set CLASSPATH=%CLASSPATH%;%SP%\txCheck\xmlbeans-qname.jar
set CLASSPATH=%CLASSPATH%;%SP%\environment

if NOT "%1"=="" goto batchmode

start javaw %OPTION_ENDORSED% %OPTION_MEMORY% %OPTION_THREAD% %OPTION_JMX% %OPTION_GC% -splash:../splash.gif com.bmw.esys.gui.control.Framework
goto end

:batchmode
java %OPTION_ENDORSED% %OPTION_MEMORY% -Dfile.encoding=cp850 %OPTION_THREAD% %OPTION_JMX% %OPTION_GC% com.bmw.esys.domain.batch.EsysBatch %*
:end